## dpkg 1.19.6ubuntu1

=== debian/changelog ===
dpkg (1.19.6ubuntu1) disco; urgency=medium

  * Merge from current Debian testing; remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - Add Zstd compression and decompression support for binary packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 02 Apr 2019 15:36:17 -0600

dpkg (1.19.5ubuntu1) disco; urgency=medium

  * Merge from current Debian testing; remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - Add Zstd compression and decompression support for binary packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Mar 2019 10:55:21 +0100

dpkg (1.19.4ubuntu3) disco; urgency=medium

  * scripts/Dpkg/Source/Package.pm: use Dpkg::Source:Format (closes: #921031)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Feb 2019 07:37:22 -0700

dpkg (1.19.4ubuntu2) disco; urgency=medium

  * scripts/Dpkg/Shlibs/Objdump.pm: use Dpkg::IPC to fix armhf ABI checks.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 18 Feb 2019 07:24:04 -0700

dpkg (1.19.4ubuntu1) disco; urgency=medium

  * Merge from current Debian testing; remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - Add Zstd compression and decompression support for binary packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Jan 2019 17:52:07 +0100

dpkg (1.19.2ubuntu2) disco; urgency=medium

  * scripts/Dpkg/Vendor/Ubuntu.pm: Instead of running the Debian hooks after
    the Ubuntu buildflags are set up, run them first, and then strip/prepend
    the bits we need to change. This fixes compiler optimisation on ppc64el.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Dec 2018 10:51:35 -0700

dpkg (1.19.2ubuntu1) disco; urgency=medium

  * Merge from current Debian testing; remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - Add Zstd compression and decompression support for binary packages.
  * Fix implicit declaration of getenv in i18n.c and signedness errors in
    zstd patches (nod to Gianfranco Costamagna for being a human -Werror).

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 27 Nov 2018 11:28:33 -0700
