## dpkg 1.19.6ubuntu1.1

=== debian/changelog ===
dpkg (1.19.6ubuntu1.1) disco; urgency=medium

  * Cherry-pick upstream fix for trigger loops (LP: #1828639):
    - dpkg: Split the trigger dependtry into two, the second of which will be
      the one checking trigger cycles when deferring trigger processing due to
      unsatisfiable dependencies. Closes: #928429

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 16 Jul 2019 14:32:06 +0200
