## dpkg 1.19.6ubuntu1.2

=== debian/changelog ===
dpkg (1.19.6ubuntu1.2) disco; urgency=medium

  * d/rules: always run dh_autoreconf (LP: #1842947)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 05 Sep 2019 17:05:14 -0400
