## dpkg 1.19.7pureos1

=== debian/changelog ===
dpkg (1.19.7pureos1) amber; urgency=medium

  * Add PureOS vendor object
    - Many thanks to Guido for finding this issue! (PT: #843)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Mon, 14 Oct 2019 10:02:42 +0200
