## dpkg 1.19.7ubuntu2

=== debian/changelog ===
dpkg (1.19.7ubuntu2) eoan; urgency=medium

  * d/rules: always run dh_autoreconf (LP: #1842947)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 05 Sep 2019 17:05:14 -0400

dpkg (1.19.7ubuntu1) eoan; urgency=medium

  * Merge from current Debian testing; remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - Add Zstd compression and decompression support for binary packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 10 Jul 2019 13:36:57 -0600
