## dpkg 1.19.7ubuntu3

=== debian/changelog ===
dpkg (1.19.7ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:54 +0100
