=== debian/rules ===
--- 
+++ 
@@ -47,15 +47,10 @@
 
 D := $(CURDIR)/debian/tmp
 
-# Create configure script if necessary, automake handles rebuilding it.
-configure:
+# Configure the build tree
+build-tree/config.status:
 	dh_testdir
-
-	./autogen
-
-# Configure the build tree
-build-tree/config.status: configure
-	dh_testdir
+	dh_autoreconf
 
 	install -d build-tree
 	cd build-tree && ../configure $(confflags) \
@@ -165,6 +160,7 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf build-tree
+	dh_autoreconf_clean
 	dh_clean
