=== debian/tests/control ===
Tests: test-not-root
Depends: build-essential, autoconf, pkg-config, file
Restrictions: superficial skippable rw-build-tree

Tests: test-root
Depends: build-essential, autoconf, pkg-config, file
Restrictions: superficial rw-build-tree needs-root breaks-testbed
