## dpkg 1.19.7ubuntu3%2B10.0trisquel1

=== debian/changelog ===
dpkg (1.19.7ubuntu3+10.0trisquel1) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 12 Dec 2020 01:34:31 +0000
