## dpkg 1.19.7ubuntu3.2

=== debian/changelog ===
dpkg (1.19.7ubuntu3.2) focal-security; urgency=medium

  * SECURITY UPDATE: Directory traversal issue in dpkg-source
    - scripts/Dpkg/Source/Archive.pm, scripts/t/Dpkg_Source_Archive.t:
      Prevent directory traversal for in-place extracts.
    - CVE-2022-1664

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 May 2022 07:14:20 -0400

dpkg (1.19.7ubuntu3.1) focal; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * scripts/Dpkg/Vendor/Ubuntu.pm: When checking for the correct
    maintainer field, also look for canonical.com email addresses
    (LP: #1951988)

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Dec 2021 12:02:54 -0800
