## dpkg 1.19.7ubuntu3.2%2B10.0trisquel1

=== debian/changelog ===
dpkg (1.19.7ubuntu3.2+10.0trisquel1) nabia-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 May 2022 13:37:09 +0000
