## dpkg 1.19.7.8

=== debian/changelog ===
dpkg (1.19.7.8-1+dde) unstable; urgency=medium

  * fix CVE-2022-1664
    a directory traversal vulnerability.

 -- lishengyu <lishengyu@uniontech.com>  Mon, 30 May 2022 10:47:17 +0800

dpkg (1.19.7.7-1+dde) unstable; urgency=medium

  * fix target directory owner change bug when excuting dpkg -X command with root.

 -- luxinyou <luxinyou@uniontech.com>  Fri, 31 Dec 2021 17:46:48 +0800

dpkg (1.19.7.6-1+dde) unstable; urgency=medium

  * fix secure compilation option

 -- wangyouwan <wangyouwan@uniontech.com>  Thu, 16 Dec 2021 20:46:48 +0800

dpkg (1.19.7.5-1+dde) stable; urgency=medium

  * Port to loongarch64:
    - add <Debian name>: loongarch64 in data/cputable
    - update scripts/Dpkg/Vendor/Debian.pm
    - fix FTBFS: update build-aux/config.{sub,guess}
  * Fix test scripts: scripts/t/Dpkg_Arch.t

 -- deepin/sw64 team <sunway@deepin.com>  Mon, 05 Jul 2021 17:35:02 +0800

dpkg (1.19.7.4-1+dde) unstable; urgency=medium

  * rollback uos_security_compile_spec

 -- system-dev <liujianqiang@uniontech.com>  Tue, 29 Jun 2021 15:57:09 +0800

dpkg (1.19.7.3-1+dde) unstable; urgency=medium

  * remove pie fpic

 -- system-dev <liujianqiang@uniontech.com>  Thu, 24 Jun 2021 20:48:59 +0800

dpkg (1.19.7.2-1+dde) unstable; urgency=medium

  * update uos_security_compile_spec 

 -- system-dev <system-dev@uniontech.com>  Wed, 12 May 2021 18:08:56 +0800

dpkg (1.19.7.1-1+dde) stable; urgency=medium

  * 同步武汉命名规则

 -- deepin/sw64 team <sunway@deepin.com>  Fri, 11 Dec 2020 16:35:01 +0800

dpkg (1.19.7+0eagle1-1) stable; urgency=medium

  * update source/format to quilt

 -- deepin/sw64 team <sunway@deepin.com>  Fri, 11 Dec 2020 16:35:01 +0800

dpkg (1.19.7+0eagle1) stable; urgency=medium

  * Port to sw64:
    - add <Debian name>: sw_64 in data/cputable
  * Tweak default CFLAGS and CXXFLAGS for sunway
    - Disable stackprotector feature
  * Fix arch re in scripts/Dpkg/Arch.pm, scripts/Dpkg/Deps/Simple.pm,
    scripts/dpkg-shlibdeps.pl
  * Fix test scripts: scripts/t/Dpkg_Arch.t


 -- deepin/sw64 team <sunway@deepin.com>  Fri, 11 Dec 2020 14:01:01 +0800
