## dpkg 1.19.7.lnd.2+nmu1

=== debian/changelog ===
dpkg (1.19.7.lnd.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:26:56 +0800

dpkg (1.19.7.lnd.2) unstable; urgency=medium

  * dpkg: Add the check option of loongarch64.

 -- Zhang Na <zhangna@loongson.cn>  Sat, 10 Apr 2021 10:54:30 +0800

dpkg (1.19.7.lnd.1) unstable; urgency=medium

  * dpkg: Add support loongarch64.

 -- Song Ding <songding@loongson.cn>  Thu, 19 Nov 2020 14:47:24 +0800
