=== debian/rules ===
--- 
+++ 
@@ -47,8 +47,14 @@
 
 D := $(CURDIR)/debian/tmp
 
+# Create configure script if necessary, automake handles rebuilding it.
+configure:
+	dh_testdir
+
+	./autogen
+
 # Configure the build tree
-build-tree/config.status:
+build-tree/config.status: configure
 	dh_testdir
 	dh_autoreconf
 
@@ -65,7 +71,6 @@
 		--with-devlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--without-libmd \
 		--with-libz \
-		--with-libzstd \
 		--with-liblzma \
 		--with-libbz2
 
@@ -160,7 +165,6 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf build-tree
-	dh_autoreconf_clean
 	dh_clean
