## dpkg 1.19.8

=== debian/changelog ===
dpkg (1.19.8) buster-security; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::Source::Archive: Prevent directory traversal for in-place extracts.
      Reported by Max Justicz <max@justi.cz>. Fixes CVE-2022-1664.
  * Build system:
    - Build gitlab CI images for buster instead of sid.

  [ Updated man pages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Tue, 24 May 2022 13:40:09 +0200
