## dpkg 1.20.0

=== debian/changelog ===
dpkg (1.20.0) experimental; urgency=medium

  [ Guillem Jover ]
  * libdpkg: Do not generate a backup file for the available database.
    Closes: #343578
  * perl: Switch Getopt::Long from bundling to bundling_values. This means
    the few scripts using Getopt::Long will stop accepting options in the
    form «-ab» for «-a -b», which is not future-proof, as it does not allow
    these options to get new arguments without making them abiguous.
  * dpkg-buildpackage: Remove transient backwards R³ compatibility code.
  * buildtools.mk: Add support for nostrip in DEB_BUILD_OPTIONS when setting
    the STRIP variable.
  * dpkg-genbuildinfo: Do not include irrelevant packages in the Binary field.
  * dpkg: Do not clear selections for unknown packages. Closes: #927752
  * dpkg-shlibdeps: Add support for new Build-Depends-Packages, to be able
    to specify multiple packages. Closes: #926669
    Based on a patch by Frank Schaefer <kelledin@gmail.com>.
  * perl: Remove support for versioned GnuPG 2 program and packages.
  * libdpkg: Clarify lock contender error message. Print the PID of the lock
    contender, and add a warning explaining that removing the lock file is
    never the correct solution.
  * dpkg-genchanges, dpkg-mergechangelogs: Remove support for ~vola
    versioning, as volatile.debian.org was decommissioned some time ago.
  * dpkg-genchanges, dpkg-mergechangelogs: Match ~deb also as a backport
    marker in versions. Closes: #934980
  * libdpkg, dpkg: Use new versiondescribe_c() for non-localizable call sites,
    such as when writing to a log, which should not be localized.
    Reported by Julien Cristau <jcristau@debian.org>.
  * dpkg-query: Try to use the package synopsis from the available file if
    not installed. Closes: #43573
  * dpkg-gencontrol: Take into account hardlinks when computing the
    Installed-Size substvar. Closes: #923475
    Patch co-authored with Sven Joachim <svenjoac@gmx.de>.
  * dpkg: Fix and clarify behavior for packages marked to be on “hold”. These
    need to be processed for configuration and triggers. Closes: #926472
  * dpkg: Use DPKG_ADMINDIR to set the admindir. Closes: #900071
  * dpkg-source: Remove backwards compatibility code for legacy build-profiles.
  * perl: Give more context on field parsing errors. Closes: #637060
  * dpkg-buildpackage: Add option to sanitize environment. Closes: #843776
  * update-alternatives: Cope with a missing administrative directory.
  * update-alternatives: Create the administrative directory on demand.
  * dpkg-split: Cope with a missing parts/ database directory.
  * dpkg-split: Create the parts/ database directory on demand.
  * libdpkg: Consider msdbrw_needsuperuser equivalent to msdbrw_write, so
    the same checks are performed on normal non --force-not-root operation.
  * libdpkg: Add support for bootstrapping the installation of dpkg:
    - Create the logfile with correct permissions, and remove the code
      setting up the logfile from the dpkg postinst.
    - Allow missing status and available databases, so that they get created
      on write, and remove the code setting them up from the dpkg postinst.
      Closes: #647911
    - Do not change the ownership of the triggers database directory. Either
      we are running as root:root which means the ownership should be correct
      already, or we are not which means we cannot change it anyway.
    - Create the dpkg database directory on demand.
    - Create the updates/ database directory on demand.
    - Create the info/ database directory on demand.
  * dpkg-architecture: Fix handling of exec failing in --command.
    Reported by Helmut Grohne <helmut@subdivi.de>.
  * dpkg-buildpackage: Do not accept equal signs as part of the hook names.
    Reported by Daniel Shahaf <danielsh@apache.org>. Closes: #948291
  * dselect: Mark a string for translation.
  * dselect: Cleanup access methods:
    - Remove harddisk methods, as they were non-functional due to fdisk
      interface changes, and do not make sense anymore as we can expect users
      to mount any such filesystem on their own, to then use a filesystem
      method instead. Prompted by Helmut Grohne <helmut@subdivi.de>.
    - Remove cdrom method superseded by the multi_cd method.
    - Remove nfs methods, as there is nothing special about NFS, and mounting
      these should just be left to the local admin, who can mount any other
      remote filesystem too.
    - Remove multi_mount method, as the multi_cd method can take care of
      mounting the necessary images or devices.
    - Replace changelog with correct copyright in file header.
  * dpkg, dselect: Stop using first-person singular in output messages.
  * libdpkg: Fix memory leak in parsedb context close.
  * buildtools.mk: Add QMAKE variable. Closes: #920878
  * po: Fix translation of --compare-versions. Closes: #951614
    Thanks to Boyuan Yang <byang@debian.org>.
  * Perl modules:
    - Dpkg::Source::Package: Verify original tarball signatures at build time.
    - Dpkg::BuildFlags: Add new unset() method.
      Requested by Daniel Schepler <dschepler@gmail.com>.
    - Dpkg::Source::Package::V2: Emit a special patch header on
      single-debian-patch. Closes: #933152
    - Dpkg::Vendor::Debian: Only scan /usr/local/ directories that exist.
      Closes: #932967
    - Dpkg::Vendor::Debian: Do not set -Werror=implicit-function-declaration
      for C++. Closes: #939969
    - Dpkg::Deps: Check for valid virtual package version relations. Do not
      allow non-equal version relations in virtual provides. Closes: #930317
    - Dpkg: Remove internal lowercase variables $version, $progname,
      $admindir, $dpkglibdir and $pkgdatadir.
    - Dpkg::Changelog: Remove obsolete methods dpkg() and rfc822().
    - Dpkg::Changelog::Entry::Debian: Remove obsolete methods check_header()
      and check_trailer(). Hide variables $regex_header and $regex_trailer.
    - Dpkg::Changelog::Parse: Remove warnings of obsolete options forceplugin

