=== debian/rules ===
--- 
+++ 
@@ -47,14 +47,8 @@
 
 D := $(CURDIR)/debian/tmp
 
-# Create configure script if necessary, automake handles rebuilding it.
-configure:
-	dh_testdir
-
-	./autogen
-
 # Configure the build tree
-build-tree/config.status: configure
+build-tree/config.status:
 	dh_testdir
 	dh_autoreconf
 
@@ -165,6 +159,7 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf build-tree
+	dh_autoreconf_clean
 	dh_clean
