## dpkg 1.20.5

=== debian/rules ===
--- 
+++ 
@@ -97,9 +97,10 @@
 	   $(D)/usr/share/lintian/profiles/dpkg/main.profile
 
 define dpkg-installmanl10n
-for f in `sed -e 's:\*:*/*:' debian/$(1).manpages`; do \
-	test -e $$f && \
-	install -D $$f `echo $$f | sed -e 's:^debian/tmp:debian/$(1):'`; \
+for f in `sed -e 's:\*:*/*:' -e 's:^:$(D)/:' debian/$(1).manpages`; do \
+  if [ -e $$f ]; then \
+    install -D $$f `echo $$f | sed -e 's:^$(D):debian/$(1):'`; \
+  fi; \
 done
 endef
 
@@ -135,7 +136,8 @@
 	dh_install -i
 	dh_installcron -i
 	dh_installchangelogs -i ChangeLog*
-	dh_installdocs -i
+	dh_installdocs -i -Ndpkg-dev
+	dh_installdocs -pdpkg-dev --doc-main-package=dpkg
 	$(call dpkg-installmanl10n,dpkg-dev)
 	dh_installman -i
 	dh_link -i
