## dpkg 1.20.5ubuntu2

=== debian/changelog ===
dpkg (1.20.5ubuntu2) groovy; urgency=medium

  * scripts/Dpkg/Vendor/Ubuntu.pm: set 'nocheck' in build options by default
    on Ubuntu/riscv64.  Overridable in debian/rules with
    'DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))'.
    LP: #1891686.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Aug 2020 00:34:46 +0000

dpkg (1.20.5ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - Add Zstd compression and decompression support for binary packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jul 2020 13:33:55 +0200

dpkg (1.20.5) unstable; urgency=medium

  [ Guillem Jover ]
  * Revert change to prefix the specs file spec string self_spec with +
    instead of *. The prefix is supposed to go in the text itself
    instead of the spec name, which already had it. This change only
    apparently fixed the issue at hand because gcc started parsing it as
    the «[SUFFIX]:» case, completely disabling the PIE handling.
    Thanks to Thorsten Glaser <tg@mirbsd.de>.
  * Perl modules:
    - Dpkg::Source::Package::V1: Explicitly initialize constructor options to
      their implicit values, otherwise other code end up assuming different
      defaults. This is required here too as this class does not call the
      initialization from its parent.
  * Build system:
    - Detect the GNU program variants for make, patch and tar in the CPAN
      distribution to replace in the Dpkg module.
    - Set DEB_BUILD_ARCH to a dummy “amd64” in the CPAN distribution tests
      to not require a dpkg(1) in the system.
  * Test suite:
    - Only print the Dpkg::Path::check_directory_traversal() error on failure.

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Wed, 08 Jul 2020 05:40:39 +0200

dpkg (1.20.4) unstable; urgency=medium

  [ Guillem Jover ]
  * Improve PIE flags support:
    - Prefix the specs file spec string self_spec with + instead of *.
      This way we do not override any previous setting, otherwise when
      passing the -specs options twice (f.ex. to compile and link), only the
      last one will take effect, which can break the build. Closes: #870383
  * Perl modules:
    - Dpkg::Source::Package: Explicitly initialize constructor options to
      their implicit values, otherwise other code end up assuming different
      defaults. Closes: #964017
    - Dpkg::OpenPGP: Use a temporary directory for the GnuPG homedir in
      verify_signature(), to make sure we do not write to the user home
      directory, except for the trustkeys.db file if present.
    - Dpkg::Path: Refactor new check_directory_traversal() function out of
      Dpkg::Source::Package->extract().
    - Dpkg::Path: Do not do partial matches for directory traversal checks,
      expect a trailing slash after the base directory name.
    - Dpkg::Path: Catch uncanonicanizable pathnames with a proper error.
      Closes: #964111
    - Dpkg::Path: Do not consider missing symlink targets a directory
      traversal attempt. Closes: #964234
    - Dpkg::Path: Allow /dev/null for directory traversals.
      Reported by Holger Levsen <holger@layer-acht.org>.
  * Build system:
    - Add Module::Signature as configure recommends for CPAN.
  * Test suite:
    - Use File::Path::make_path() instead of chained mkdir() in Dpkg_Path.t.
    - Add unit tests for Dpkg::Path::check_directory_traversal().

  [ Updated programs translations ]
  * German (Sven Joachim).

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jul 2020 07:57:48 +0200

dpkg (1.20.3) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::OpenPGP: Pass --no-options to gpg in verify_signature().
      Reported by Bertrand Marc <bmarc@debian.org>. Closes: #963839
    - Dpkg::Build::Info: Clarify by giving context to the
      get_build_env_whitelist() deprecation warning. Closes: #963844
      Reported by Sven Joachim <svenjoac@gmx.de>.
    - Dpkg::Source::Package: Fix check_original_tarball_signature() to make
      import_key() honor require_valid_signature, which should default to
      false. Reported by Mattia Rizzolo <mattia@debian.org>.
    - Dpkg::OpenPGP: Use a temporary directory for the GnuPG homedir in
      import_key(), to make sure we do not write to the user home directory,
      which might be read-only or non-existent. Closes: #963944
      Reported by Mattia Rizzolo <mattia@debian.org>.
  * Code internals:
    - libdpkg: Print a notice if we cannot write to the log file.
  * Build system:
    - Improve error diagnosis for configure version fetching script.
      Prompted by Norbert Preining <norbert@preining.info>.

  [ Updated programs translations ]
  * German (Sven Joachim).

 -- Guillem Jover <guillem@debian.org>  Mon, 29 Jun 2020 12:37:51 +0200

dpkg (1.20.2) unstable; urgency=medium

  * dpkg: Do not include the architecture with --robot --version.
  * update-alternatives: Create alternatives directory (/etc/alternatives)
    if it is missing, to help with installation bootstrapping.
    Reported by Johannes Schauer <josch@debian.org>.

