## dpkg 1.20.5+rpi1

=== debian/changelog ===
dpkg (1.20.5+rpi1) bullseye-staging; urgency=medium

  * Hack up Vendor.pm so it doesn't fail
    (see https://lists.debian.org/debian-dpkg/2020/08/msg00004.html )
  * disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 02 Aug 2020 12:08:02 +0000
