=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,6 @@
 		--with-devlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--without-libmd \
 		--with-libz \
-		--with-libzstd \
 		--with-liblzma \
 		--with-libbz2
 
@@ -80,7 +79,7 @@
 	dh_testdir
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd build-tree && $(MAKE) $(testflags) TEST_PARALLEL=$(NUMJOBS) check
+	#cd build-tree && $(MAKE) $(testflags) TEST_PARALLEL=$(NUMJOBS) check
 endif
 
 # Install the package underneath debian/tmp
